Issue 117310 - xmloff: SinglePropertySetInfoCache needlessly uses XTypeProvider::getImplementationId
Summary: xmloff: SinglePropertySetInfoCache needlessly uses XTypeProvider::getImplemen...
Status: CLOSED FIXED
Alias: None
Product: xml
Classification: Code
Component: code (show other issues)
Version: DEV300m101
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: issues@xml
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-10 09:00 UTC by Stephan Bergmann
Modified: 2017-05-20 09:30 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-03-10 09:00:39 UTC
PropertySetInfoKey (used by SinglePropertySetInfoCache in xmloff/source/style/SinglePropertySetInfoCache and binfilter/bf_xmloff/source/style/xmloff_SinglePropertySetInfoCache.cxx, and by SvXMLExportPropertyMapper::_Filter in xmloff/source/style/xmlexppr.cxx and binfilter/bf_xmloff/source/style/xmloff_xmlexppr.cxx) uses as key a tuple of XPropertySetInfo reference and corresponding XTypeProvider::getImplemenationId() value.  Including the getImplementationId() value appears to be both unnecessary and disadvantageous.

For one, I see no reason to discriminate based on getImplementationId() value in addition to discriminating based on XPropertySetInfo reference.  Should there really be cases where to-be-distinguished entities have identical XPropertySetInfo references but different getImplemenationId() values?

For another, XTypeProvider::getImplementationId() need not return a non-empty sequence (and I plan on changing this so that virtually all getImplementationId implementations only return empty sequences), but the above xmloff code assumes that the obtained getImplementationId() values are non-empty.
Comment 1 Stephan Bergmann 2011-03-10 09:54:44 UTC
fixed as <http://hg.services.openoffice.org/cws/sb140/rev/85f71dba0516>
Comment 2 Stephan Bergmann 2011-03-10 10:01:04 UTC
...plus <http://hg.services.openoffice.org/cws/sb140/rev/ecd1e67ca025>
Comment 3 Stephan Bergmann 2011-03-16 14:50:07 UTC
...plus <http://hg.services.openoffice.org/cws/sb140/rev/6aff861073f7>
Comment 4 Stephan Bergmann 2011-03-23 12:40:32 UTC
...plus <http://hg.services.openoffice.org/cws/sb140/rev/1b3e19a32d15>
Comment 5 Oliver-Rainer Wittmann 2012-06-13 12:33:06 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.